Skip to main content
GET
/
shipment
/
{id}
Get shipment by ID
curl --request GET \
  --url https://api.truecold.io/shipment/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "code": "<string>",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "soft_deleted": "2023-11-07T05:31:56Z",
  "soft_deleted_by": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "emails_to_notify": [
    "<string>"
  ]
}

Authorizations

x-api-key
string
header
required

API key for authentication. Contact your administrator to get an API key.

Path Parameters

id
string
required

Shipment ID

Response

Successfully retrieved shipment

Shipment entity (API response)

id
string<uuid>

Unique identifier

code
string

code code

account_id
string<uuid>

Account ID

site_id
string<uuid>

Site ID

created_at
string<date-time>

Creation timestamp

soft_deleted
string<date-time>

Soft deletion timestamp

soft_deleted_by
string

User who soft deleted the record

updated_at
string<date-time>

Last update timestamp

emails_to_notify
string[]

Email address